W(1)

BEZEICHNUNG
w - zeigt die angemeldeten Benutzer und deren Aktivitäten an

ÜBERSICHT
w [Optionen] Benutzer […]

BESCHREIBUNG
w zeigt Informationen über die aktuell am Rechner angemeldeten Benutzer und deren Prozesse an. Die Kopfzeile zeigt in dieser Reihenfolge die aktuelle Zeit, die aktive Zeit des Systems, die Anzahl der aktuell angemeldeten Benutzer und die durchschnittliche Auslastung des Systems in den letzten 1, 5 und 15 Minuten.

Die folgenden Einträge werden für jeden Benutzer angezeigt: der Anmeldename, der Name des Terminals (TTY), der entfernte Rechner, die Anmeldezeit, die Zeit der Untätigkeit, JCPU, PCPU und die Befehlszeile der aktuellen Prozesse der Benutzer.

Die JCPU-Zeit ist die Zeit aller Prozesse, die an einem bestimmten Terminal hängen. Vergangene Hintergrundprozesse sind hier nicht enthalten, aber doch die aktuellen Hintergrundprozesse.

Die PCPU-Zeit ist die Zeit, die vom aktuellen Prozess verwendet wird, benannt im Feld »what«.

BEFEHLSZEILENOPTIONEN

-h, --no-header
    gibt keine Kopfzeile aus.

-u, --no-current
    ignoriert den Benutzernamen, während die aktuellen Prozess- und CPU-Zeiten ermittelt werden. Um dies zu demonstrieren, geben Sie »su« und ein »w« ein und ein »w -u«.

-s, --short
    verwendet das Kurzformat. Die Anmeldezeit und die Zeiten für JCPU oder PCPU werden nicht ausgegeben.

-f, --from
    Toggle printing the from (remote hostname) field. The default as released is for the from field to not be printed, although your system administrator or distribution maintainer may have compiled a version in which the from field is shown by default.

--help
    zeigt eine Hilfe an und beendet das Programm.

-i, --ip-addr
    zeigt die IP-Adresse anstelle des Rechnernamens im from-Feld an.

-V, --version
    zeigt Versionsinformationen an.

-o, --old-style
    verwendet die Ausgabe im alten Stil. Für untätige Zeiten von weniger als einer Minute werden Leerzeichen ausgegeben.

Benutzer
    zeigt nur Informationen zum angegebenen Benutzer an.

UMGEBUNG

PROCPS_USERLEN
    setzt die Vorgabebreite der »Benutzername«-Spalte außer Kraft. Vorgabe ist 8.

PROCPS_FROMLEN
    setzt die Vorgabebreite der »from«-Spalte außer Kraft. Vorgabe ist 16.

DATEIEN

/var/run/utmp
    zeigt Informationen darüber an, wer gerade angemeldet ist.

/proc
    Prozessinformationen

SIEHE AUCH
free(1), ps(1), top(1), uptime(1), utmp(5), who(1)

AUTOREN
w wurde von Charles Blake fast völlig neu geschrieben, basierend auf der Version von Larry Greenfield (greenfie@gauss.rutgers.edu) und Michael K. Johnson (johnsonm@redhat.com)

FEHLER BERICHTEN
Bitte senden Sie Fehlerberichte an procps@freelists.org